Query a Budget
Retrieve the details and multi-currency balances of a specific budget account by its ID.
Request Parameters
idstring
required
Unique budget account identifier returned by Create a Budget. Max 64 characters.
Response Parameters
resultResult
See Result.
idstring
Unique budget account identifier. Max 64 characters.
namestring
Budget account name.
statusstring
Current budget account status.
Valid Values:
ACTIVE — Account is activated and ready to use.
FAILED — Account creation failed.
createdAtdatetime
Timestamp when the budget account was created. ISO 8601 extended format.
balanceAmountsarray
An array of Amount objects representing balances in multiple currencies. Contains at most one entry per currency. Empty when status is FAILED. See Data Types.
Error Codes
Definition
POST /api/open/v1/issuing/budgets/queryRequest
{
"id": "BUDGET_20260808100101****"
}Response
{
"result": {
"resultCode": "SUCCESS",
"resultMessage": "success",
"resultStatus": "S"
},
"id": "BUDGET_20260808100101****",
"name": "Marketing Cards Q3",
"status": "ACTIVE",
"createdAt": "2026-08-08T10:56:52Z",
"balanceAmounts": [
{
"currency": "USD",
"value": 100
}
]
}